WinDSX 3.7.151	8/14/2012

Fixed a problem with Displaying images on card reads that could cause an old image to appear with a newer card read. 

Added a check for AclGroupComboID cross linked LocGroups in the FixAcl routine. 
---------------------------------------------------------------------------------------------
WinDSX 3.7.150	5/11/2012

Fixed a problem with converting large decimal numbers back to Hex when Hex codes are used. 
---------------------------------------------------------------------------------------------
WinDSX 3.7.149	4/11/2012

Fixed Database so that when you use ALT-TAB to switch to a different program it does not stop the list box from working.

Changed Daily Ops so that it will delete LocCard records that are marked for deletion and
are in Locations that are inactive. Original implementation in 4.8.106 had problems. 

Added a command line parameter to put database in the Fix Access Level mode. This will eliminate the need for a seperate
version of database that has this option enabled. To put database into the Fix Access Level mode enter a command line
of -DSXFA  For example:

C:\WinDSX\DB.exe -DSXFA

The above will display the Fix Access Level button and disable the TreeView. 
---------------------------------------------------------------------------------------------
WinDSX 3.7.148	2/28/2012

Changed the way that a Guard Tour Exception event is handled by the WS filters.
---------------------------------------------------------------------------------------------
WinDSX 3.7.147	1/31/2012

Fixed problem in WS where it would not start the DVR. Problem was introduced in 3.7.145.
---------------------------------------------------------------------------------------------
WinDSX 3.7.146	1/18/2012

Fixed date formating problem for in Scheduled Overrides in Euro Date systems. 

Fixed problem with Alarm Echo complaining about Icons at startup. 

Fixed problem with CS where it could fail to deliver a data packet if there was a Location
communication loss on the transmission of that data packet. 
---------------------------------------------------------------------------------------------
WinDSX 3.7.145	12/28/2011

Changed Daily Ops so that it will delete LocCard records that are marked for deletion and
are in Locations that are inactive. 

New OlMail program that has better error logging and tolerates errors on command line.
---------------------------------------------------------------------------------------------
WinDSX 3.7.144	12/05/2011

Fixed problem with the action message data being out of order when alarms were emailed. 

WS location connection summary screen will now show the number of locations currently connected.

Changed CS to check for Access Level changes prior to sending Cards.

Put in error trapping for Zebra printers problem with Printers.copies property
---------------------------------------------------------------------------------------------
WinDSX 3.7.143	09/16/2011

Fixed a problem with automatic delete of Holidays that have already occurred. 

Fixed problem with card events not passing through the event filters in workstation.
---------------------------------------------------------------------------------------------
WinDSX 3.7.142	07/15/2011

Fixed a problem with CS that would cause it to loose comm with WS occasionally. Ws would just
reload all the events so it was not very apparant that it was happening.  

Fixed a problem where operator could not control outputs when the master panel was downloading a slave.

Fixed a problem where a full download command from a workstation would not override a master that
was downloading to a slave. 
----------------------------------------------------------------------------------------------------
WinDSX 3.7.140	05/23/2011

Changed some field names in the database structure to match the SQL version. 
----------------------------------------------------------------------------------------------------
WinDSX 3.7.139	04/12/2011

Fixed problem with Scheduled Overrides that were programed before daylight savings time change for a date after 
daylight savings time change. Previously the scheduled time would be off by an hour.

Change the code that gets data from the registry so that it opens the registry in read only mode instead
of read/write. This shouls help with permissions problems on reading the Regional Time Zone data from 
the registry. 
------------------------------------------------------------------------------------------------------
WinDSX 3.7.138	04/12/2011

New email program that will allow emails to be sent via Yahoo, Google type email accounts.
------------------------------------------------------------------------------------------------------
WinDSX 3.7.137	03/18/2011

Fixed problem with a couple of 128 bar code characters.

Fixed problem with activate/deactivate cards from DispMug when the cards where 16 digits long. 
------------------------------------------------------------------------------------------------------
WinDSX 3.7.136	03/9/2011

Added the ability to add/edit companies through the Database API

Fixed problem with logging database change when a TZ was edited in an Access Level
------------------------------------------------------------------------------------------------------
WinDSX 3.7.134	02/17/2011

Added a new tab to the Access Level form that will show the user which access levels contain
the selected device. The data is displayed in a text box that can be copied and pasted into any
other application for storage, printing, emailling.....
------------------------------------------------------------------------------------------------------
WinDSX 3.7.133	02/08/2011

Changed the Comm Server program so that it will automatically poll faster to any location that
is moving data to/from the comm server. This will allow us to set the poll frequency higher as it 
will only affect how often empty poll messages are sent. Data moving to/from the comm server
will be sent as fast as possible. 

Changed Comm Port default Poll Frequency to 500 and default Message Timeout to 1000. 

Changed Comm Server default Throttle to 5000. 

Changed the Data Base program to automatically change the Comm Port and Comm Server values
to the new default values if they were set to the previous defualts. 

Changed Comm Server so that it will stop communications with the panels when the database is
not available and will resume communications when the database is available. 

Changed the Integrated Biometrics interface so that it can work with 26 bit cards. The standard
settings for the cards are for DSX 33 bit cards and facility code. The user can create a text file
in the WinDSX directory of the PC where the cards are enrolled that will override the card type 
and facility code settings that are sent to Integrated Biometrics during the fingerprint enrollment. 

The name of the text file will be DsxIB.txt. 
The text file should specify the card type on the first line. 1 = 26 bit, 2 = 33 bit
The second line should specity the facility code. For example 244. 

Example DsxIB.txt file:
1
300

The above specifies that you are using 26 bit cards and the facility code is 300. 
---------------------------------------------------------------------------------------------
WinDSX 3.7.132	01/07/2011

Fixed problem with cascading TZ delete to a linking group that targeted the deleted TZ. 

Fixed problem that could cause the wrong records to be deleted in a linking group 
when an Input or Ouput was deleted. The delete cascade logic did not take the IOType
feild into account and could delete a TZ link record if the ID was the same as the IO point
that was deleted. 
---------------------------------------------------------------------------------------------
WinDSX 3.7.131	10/18/2010

Fixed a problem with sorting alarm events by priority in the Workstation alarm que. 

Added a Blind Copy2Code command to the Database API. This will allow you to make a blind copy of an existing card. Typically used by visitor 
software to assign a temporary card to an existing cardholder that matches the values of their current card. If I forget my card they can assign an temp 
card that matches my permanent card. 

Example:

I L1 U1 ^123456^^^
T Cards
F Copy2Code ^33456^^^
F StopDate ^1/10/2010 10:00^^^
W

The above would find the first active card for the user specified then make a copy of it and assign the copy the new code # of 33456 then set the stopdate 
and save the card. The StopDate is not required, it is just shown here to illustrate how a temporary card would work. Any field could be modified after the
Copy2Code command. 
-------------------------------------------------------------------------------------------------
WinDSX 3.7.130	9/15/2010

Changed the WebCam capture program so that it flips the video left to right so that text is displayed properly.  Also improoved the speed of saving the 
bitmap file so that Database does not try to read the file before the WebCam program is done saving it. 
-------------------------------------------------------------------------------------------------
WinDSX 3.7.129	9/14/2010

Fixed a problem with the  ReplaceCode function of the Database API that could delete the old card number from the database but not download the delete
to the panels. 
-------------------------------------------------------------------------------------------------
WinDSX 3.7.128	9/9/2010

Added support for WebCam type USB cameras to capture cardholder images.
-------------------------------------------------------------------------------------------------
WinDSX 3.7.127	9/1/2010

Changed the Scheduled Overrides form so that the slider bars are TZ aware and will set the time bondaries according to the location regional TZ settings. 
-------------------------------------------------------------------------------------------------
WinDSX 3.7.126	8/30/2010

Fixed problem with the Scheduled Overrides report that would show the time as relative to GMT instead of local time.
-------------------------------------------------------------------------------------------------
WinDSX 3.7.125	8/12/2010

Added support for Code 128 bar codes in the badging software. To specify code 128 type of bar code start the bar code format string with 28 
then specify the constants and variables required for the bar code data. 

Added support for the Health Care version of Code 128 bar codes which requires a seperate check character inserted into the bar code. To
specify this type of bar code enter 43 as the first characters in the bar code format string.
-------------------------------------------------------------------------------------------------
WinDSX 3.7.123	8/3/2010

Fixed problem in DB that would cause access level problems when editing and access level directly and the operators password priveldges 
were configured to disallow them from assigning certain doors to certain cards but would allow them to edit access levels.  

Fixed problem with DB when a TZ was deleted it would remove TZ values from devices that it should not. 
-------------------------------------------------------------------------------------------------
WinDSX 3.7.122	7/30/2010

Fixed problem in DB that would cause an error when attempting to print the who is in report when there is a location groupiing text file with printers defined.   
-------------------------------------------------------------------------------------------------

WinDSX 3.7.121	7/28/2010

Fixed problem in DB that would cause an error in the location and system parameters forms when Microsoft added new regional
timezones to the operating system.  

Changed WS so that it does not display the database name at the top of the treeview menu. 
-------------------------------------------------------------------------------------------------
WinDSX 3.7.119	6/8/2010

Fixed problem in WS with ordering of the IO points when an override group was expanded. The IO points were not being 
displayed according to thier display order values. 

CS will poll for the comm server defined in the database before it begins the comm server activites. If it sees that there is
a comm server already running it will shutdown. This should help to prevent multiple comm servers running at the same time
when the software is setup incorrectly.  

New HotSwap program and CS will no longer display the HotSwap polling in workstation. 
-------------------------------------------------------------------------------------------------

WinDSX 3.7.118	5/3/2010

Fixed problem with event sequence number roll over in Comm Server. Large systems where CS would run uninterrupted for 
long periods of time would see problems with the IO status at WS when the event sequence numbers would roll over and 
start back at zero. 

Implemented new Device Summary report that will show board type, firmware, and RAM for each device. 
-------------------------------------------------------------------------------------------------
WinDSX 3.7.117	3/30/2010

Fixed Problem with WS that would cause it to display cameras for the previously ACKed alarm
events at startup if you had the system configured to automatically display the camera when 
the alarm event is recieved. 
------------------------------------------------------------------------------------------------------
WinDSX 3.7.116	3/5/2010

Fixed problem with icons on the maps requiring the mouse to be in a specific place before they would
display the popup menu.

Fixed problem with maps not allowing the alarm ack window to come to the top if it were not called from the map.

Fixed maps being difficult to move during a download. 

Added the ability to sort the location tree by name in Workstation
----------------------------------------------------------------------------------------------------------------
WinDSX 3.7.115	2/3/2010

Fixed problem that would cause CS to occasionally crash while shutting down. 

Fixed problem with displaying a map on alarm and zooming between maps. 

Fixed problem with Database where it would eventually crash if you held down the L key. 

Fixed problem in Database where it would crash if you pressed the space bar twice quickly in password
provile overrides if there were not any nodes defined in the current tree selection.  
-----------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.114	1/15/2010

Changed the maps so that the map size is configurable for each map. 
-----------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.112	12/09/2009

Changed the CardDflt.txt file so that it is compatible with the new method of assigning access levels. 
Now you can assign multiple access level and temporary access levels using the names of the access
levels instead of a single access level number. The designation for the access level assignment did not 
change. You will still use ACL for the permanent access levels and TACL for the temporary. 

Fixed problem with CS not running as a service.

Fixed problem with setting up a scheduled override for a point that is in a differenct TZ than the PC where
the override is being entered.

Fixed a problem with multi-line action messages being displayed bottom to top in the event window of WS.
-----------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.111	11/4/2009

Fixed problem with Number of Uses report where it would not show company totals. 

Fixed problem in WS where it would show the IO status as ? after the user logged off and 
back on. 

Fixed a problem with Database that would not display the proper data in the badge print preview
when the print preview was requested directly from a list by card instead of a list by name. 
-----------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.110	9/17/2009

Fixed problem with Password Profiles form that would enable the OK button when the user went to a sub
form even though the user only had view priveldges for password profiles. 

Change the Access Level manager so that it will be much faster to process locations that do not require
any changes. Previously the access level manager was taking a few seconds to figure out that it did
not need to do anything a location because it is not in the access level list. 
-----------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.109	8/26/2009

Made a change to be compatible with the Integrated Biometrics revision 2 integration. 

Fixed a problem with the comm ports not being able to send HEX control strings that may be used
in ASCII out strings. 

Fixed a problem in WS and CS that fixed comm port baud rates at 9600 regardless of the settings. 
------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.108	8/17/2009

Fixed a problem in WS that would cause it to sometimes chrash when zooming between maps
------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.106	7/8/2009

Fixed a problem that would allow the OK button on the names form to be enabled when 
a user that had view only priveldges used the next and previous buttons.  
------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.105	7/1/2009

Fixed a problem in the editing of an access level that added a location to the access level
that had just been added to the location group.  
------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.104	6/24/2009

Fixed a problem with the Database API that would prevent it from saving card data. 
-------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.103	4/8/2009

Changed the automatic printing of the Who is In report so that it will allow you to select
a printer for each location. This will allow sites that do not have a PC running workstation to 
print the report from a remote workstation. 

Added a default icon for a map. 
-------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.102	3/24/2009

Added integration functions for seamless biometric enrollment for Integrated Biometrics finger 
print readers. Just make the required registry entrie to enable the biometric enrollment button
on the Card Holder Name form and the system will automatically call up the Integrated Biometrics
enrollment form with all the data already entered. Just read the finger prints and click OK to 
complete the biometric enrollment. A card holder MUST have a card number assigned before 
they can be enrolled in the Integrated Biometrics software. Even if the system does not use cards
you still must have a card number. The card number assigned to the person is the number that
the Intergated Biometrics finger print reader is going to send to the DSX control panel.  When a 
Card Holder is deleted from the DSX database it will also be deleted from the IE database. If the 
card number assigned to a person is changed you must either re-enroll that person or go directy
into the IE database software and change the card number manually. 
----------------------------------------------------------------------------------------------------------------------------------
WInDSX 3.7.101	3/16/2009

Added AES 256 Bit encryption capabilities to the communications between the comm serve and
the master panel and between comm server and workstations. Requires firmware version 3162 or 
higher. This firmware also encrypts all communications between the master and slave control panels. 

Changed the Access Level management so that there are less access levels created when combining
access levels across multiple locations. This will reduce the amount of memory required to store 
access levels in the panels. The trade off is that now when an access level is edited (door add or delete)
every card that is assigned that access level will recieve a new access level assignment. So editing
an access level that is assigned to 10K cards will cause an incremental update download of 10K cards
which can take some time to complete. All cards will continue to work during the download but no other
downloads can take place until the 10K card edit download completes. You will not see an immediate
reduction in the number of access levels, unused access levels will not be removed until the system runs
through daily ops at midnight on a saturday. 

---------------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.53	3/24/2009

Added integration functions for seamless biometric enrollment for Integrated Biometrics finger 
print readers. Just make the required registry entrie to enable the biometric enrollment button
on the Card Holder Name form and the system will automatically call up the Integrated Biometrics
enrollment form with all the data already entered. Just read the finger prints and click OK to 
complete the biometric enrollment. A card holder MUST have a card number assigned before 
they can be enrolled in the Integrated Biometrics software. Even if the system does not use cards
you still must have a card number. The card number assigned to the person is the number that
the Intergated Biometrics finger print reader is going to send to the DSX control panel.  When a 
Card Holder is deleted from the DSX database it will also be deleted from the IE database. If the 
card number assigned to a person is changed you must either re-enroll that person or go directy
into the IE database software and change the card number manually. 
----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.52	3/9/2009

Changed Comm Port definition so that the poll frequency and message timeout settings 
automatically adjust to the factory defaults when the port type is changed. This will help
ensure that the proper settings are entered when a LAN port is configured. 
----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.51	3/6/2009

Fixed problem with using UDF data on a badge template when there is a data entry mask setup for the
UDF. We were storing the underscore character place holder if they did not enter data into each
space in the data mask. 
----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.50	1/29/2009

Fixed a pboblem with Badge Templates that would not allow you to save a badge because of the ";" 
in the mag stripe definitions. 

Fixed a problem with UDF's that would not allow you to save a card holder if there was a UDF
that was marked as unique and it had an input mask and you did not enter data into that UDF.

Change comm server to clear his recieve buffer on a comm port just before it transmits the next 
message. This is an attempt to resolve an intermitten problem with some IP comm. where events
are being recieved multiple times.

Added a new feature that will allow a card to be enable or disabled from the pop up picture window
in workstation. When the picture is displayed in response to a card read the operator can double 
click on the text at the bottom and enable/disable buttons will appear. The operator can click on a
button to enable or disable the card that was just read. We are using the Database API to send text
files that change the stopdate of the card. The database program must be running on the PC that 
performs daily ops. This is typically the comm server PC. 

Disable will set the stopdate to the present time. Enable defaults to setting the stopdate to the next 
day. The Enable stopdate setting can be overridden using a text file that defines how many days to 
enable the card for. The text file info is as follows:

FileName:
CardEnable.txt

File Location:
In the same directory as the DSX software. Each workstation has it's own file. 

File Structure:
First line is number of days offset. 9999 = infinite, no stopdate
Second Line is optional Stop Time value to be added to the stopdate. Military time format

Example of enable card for 5 days and turn it off at 1PM on the 5th day. 
5
13:00:00

-------------------------------------------------------------------------------------------------------------
WinDSX 3.7.48	12/12/2008

Fixed a problem caused by a Windows service upgrade that added new regional time 
zones and would cause the location and system parameter windows to produce an error. 
-------------------------------------------------------------------------------------------------------------
WinDSX 3.7.47	11/4/2008

Fixed a problem with trying to run two automatic reporst at the same time where each
is emailed. 
-------------------------------------------------------------------------------------------------------------
WinDSX 3.7.46	10/15/2008

Fixed a problem with DataBase opening full screen all the time. 
-------------------------------------------------------------------------------------------------------------
WinDSX 3.7.45	8/25/2008

Changed the way that the users password profile is evaluated by the card saving routine so that 
it will use the list of locations from the access level devices portion of the profile instead of the
location access portion of the profile. 
-------------------------------------------------------------------------------------------------------------
WinDSX 3.7.44	6/27/2008

Fixed problem with ASCII import that would cause the lose of Linking Levels when you used
replace code with the same code number that already was assigned.  

Fixed a problem with UDF's that used mask. The mask constants were not being saved with 
the data as a result of a change we made in 3.7.15 that delt with required UDF's and mask. 
----------------------------------------------------------------------------------------------------------------
WinDSX 3.7.43	6/18/2008

Fixed problem with Comm Server not sending the input alarm priority to the workstations.  

Fixed problem with Scheduled Overrides sometimes repeating the command event multiple times. 
----------------------------------------------------------------------------------------------------------------
WinDSX 3.7.42	5/05/2008

Better help system for alarm Emails.

Fixed problem with Comm Server occasionally leaving a modem in an undetermined state that it
could not return from without shutting down Comm Server. 

New OlMail.exe program that allows the SMTP Server Port to be defined. 
----------------------------------------------------------------------------------------------------------------
WinDSX 3.7.41	3/07/2008

Changed the ReplaceCode text import command so that if there is not a code currently assigned to the specified name
that it will create a new code. So now it will replace a code if one exist or add a new code if none exist. 

Fixed a problem in Repair.exe where it would not restore the UdfSel table when a backup was restored. 
------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.39	2/05/2008

Added the ability to exclude inactive temporary access level assignments from the Names report by access level.  
------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.38	2/01/2008

Fixed problem with removing an access level from a card. Occasionally it would cause an error. 
------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.37	1/25/2008

Changed the Access Level manager code to speed up the time it takes to figure out if the access level combination already exist. 

Changed Comm Server so that when a modem location calls in and there is a download ready to send that CS will always send the download.
Previously CS would not send the download if the delay download time had not expired. 
-----------------------------------------------------------------------------------------------------------------
WinDSX 3.7.36	12/1/2007

Fixed problem with trying to run a Number of Uses report automatically. It would print a History report instead of a Number of uses Report

Fixed problem with deleting and access level not starting a parameter download. 

Fixed problem with shceduled overrides not working. 
------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.35	11/7/2007

Added Email Alarms support.

Changed the database and history backups so that they will not put up a message box when the backup path is invalid. 
They will just make an entry in the error log. This was required so that database does not get stuck when comm server is running as 
a service and the data backup path is not entered in UNC. 
------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.34	9/7/2007

Supports running Comm Server as a service.
------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.33	8/27/2007

Fixed a problem with the KeyMon program that could cause the system to think that the key was missing for a few minutes at the top of the hour if the 
PC running the keymon program time was ahead of the PC running the WinDSX software. 

Fixed a problem with WS concerning password profiles and override groups. If your password profile did not have the All Menus priveldge non of the menu 
items under override groups would be available even though the profile had individual privledges for those items. 

------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.32	7/16/2007

Changed the image capture form for the USB camera so that the user can choose to use the flash or not and can also adjust the intensity of the flash.

Changed the Operator Password so that it will require a minimum of 6 characters. Can be overridden with a registry setting of PWLength.

Fixed a problem with the exe name of the Pelco DVR driver not matching the name in the source code. 

Fixed problem with Event Filters that would cause them to pass blocked events when the TZ was active. 
--------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.31	6/6/2007

Change the De-Activate cardholder function so that it would only update the stopdate on cards that were currently 
active. Cards that had already been de-activated are no longer changed. 

Fixed problem with WS that would cause it to save bad data for the location of the maps on the screen if WS was shutdown while a map was displayed. 

Implemented a new OlMail program for sending emails from the WinDSX software. This new OlMail program does not use OutLook to send the email, 
it connects directly to the SMTP server. No more problems with OutLook asking if it is OK to send the email. The new program is a .NET program and 
requires the installation of the .NET 2.0 CLR (common runtime library). The 2.0 CLR install is in the Utlilities dir. The new OlMail has to be initialized with 
the name of the SMTP server to send the email through, the FROM email address that will be used on all emails sent, and whether or not the SMTP 
server requires authentication or not. The authentication information sent will be from the windows user that is currently logged on when the email is sent. 
To initialize OlMail just run the application and fill in the blanks. The SMTP server name AND the FROM address are both required. 
-----------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.30	3/13/2007

Fixed Scheduled Override report so that it will work properly with grouped locations that use Override Groups.

Added the ability to bulk modify access levels that are assigned to cards. A new menu item located under Files 
will allow the operator to add or delete access levels to all card holders that are currently selected. The user
can first enable the multiple selections menu item to choose the list of card holders and then click Bulk Modify Access
Levels to add or delete access levels to all cards that are assigned to a name in the selected list. 

Fixed problem with operator comments not being linked to events in history report. 

Added a new command to the ASCII import. The new command will be called CopyPerm2Temp and it will do exactly that. 
It will just add the access levels in the permanent list to the temporary list. Resulting in a list that contains everything 
from the permanent list AND everything that previously existed in the temporary list. 

Added the ability to save a time zone to all locations in the location group. 

Fixed problem with ASCII string not being sent when a user switched from one camera view to a 2nd in WS.
-------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.29	2/2/2007

Change the Who is In report so that the InRptByLoc.txt file can be setup to specify groups of locations as well as single
locations. In order to specify a group of locations the line must begin with a ZERO and end with a comma and contain the
desired location numbers in between seperated by commas. There can be NO spaces between the commas and the 
location numbers. For Example:

1		(location one is printed alone)
0,2,4,5,		(loc 2 Loc 4 and Loc 5 will be grouped together)

*** It is mandatory that the line start with a ZERO and end with a comma when specifying multiple locations. ***
---------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.28	1/23/2007

Added the ability to adjust elevator report time window when using inputs to indicate floor selctions. The default time 
between when a card is read and the input must change is 5 seconds. If you want to adjust this time you must make 
a registry entry to determine the custom time period to use. The registry entry is as follows:
      Hkey_Current_User/Software/VB and VBA Program Settings/DSX_Access_Systems\WinDSX\DB\ElevatorRptTime
This will be a string field and the value is the number of seconds between a card read and a floor select input change.

Changed the cards window so that when the user enters a new code to replace an existing code the system will not 
delete the original card unless the new card is save properly. If the new card cannot be saved the old card will not be
deleted. 

Fixed a problem that would allow an operator to assign a new card number to a card that has access levels that the 
operator did not have privedges for. 

Fixed a problem with linkin levels that would erase the settings for the first selected device if the first device in the list
did not have any linking groups selected and you then clicked on show selected linking groups and then clicked only
show selected devices. 

Increased the size that images are saved at so that systems that want to display the card holders image full screen can
get a decent image. 
---------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.27	1/5/2007

Added the abitilty to search and run reports for card holders based on Temporary Access Level start/stop dates.

Added ViconNet DVRs to the list camera types supported. 
-----------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.26

Added the ability to routinely export the Who Is In report database so that other programs can access it and use the data.
The PC that is running daily ops (typically the comm server) will create the mdb in the DsxTmp directory located in the 
current users temp diretory. Example:
	C:\Documents and Settings\Bart Holzer\Local Settings\Temp\DsxTmp
The mdb is named InRpt.mdb and is a standard Access database containing two tables.
Totals:  Provides the total count of people who last used a specific device
inRpt:   Provides a listing of all people who are currently in, where they last used thier card, and when they last used thier card.
You must make a registry entry to instruct the software how often to export the data. The registry entry is as follows:
      Hkey_Current_User/Software/VB and VBA Program Settings/DSX_Access_Systems\WinDSX\DB\ExportWhosInMin
This will be a string field and the value is the number of minutes between exports.


Added the ability to export cardholder data to a biometric enrollment program. When configured there will be a new button in the
bottom right corner of the cardholder window. When clicked the DSX softwae will create a text file that follows our ASCII import 
format containing the current cardholder information. It will also call an exe that is specified in the registry. This program will be 
custom to the biometric device and can read in the card holder data from the text file and provide all of the biometric enrollment.
The name of the biometric enrollment exe is specified in the registry under:
      Hkey_Current_User/Software/VB and VBA Program Settings/DSX_Access_Systems\WinDSX\DB\AuxExportExe
The text that is displayed on the button in the Names form can also be specified in the registry under:
      Hkey_Current_User/Software/VB and VBA Program Settings/DSX_Access_Systems\WinDSX\DB\AuxExportText
If the path is included in the AuxExportExe setting in the registry DSX software call the program using the path provided. It path
is not included then it will look for the biometric enrollment exe in the same directory 
------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.25

Fixed a problem with the image edit form that would cause the save transparent check box to display when 
there were no images using transparent backgrounds. 

Fixed problem with who is in report that would show the same person twice if they had more than one card assigned. 
----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.24

Fixed some intermitten connection problems in Alarm Echo
----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.23

Addes the ability to turn the flash on or off when using the new USB camera
----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.21

Fixed problem of WorkStation shutting down by itself on some systems. 

Improoved the transparent background color replacement when pictures are taken.
----------------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.19

Fixes problem in WorkStation where event descriptions were missing on some events.

Added the ability to setup scheduled overrides for multiple days at one time. A second tab is 
available where you can add additional start/stop dates to the scheduled override. So if you 
needed to override a door at the same time for the whole week you could do it in one scheduled
override instead of creating 5 seperate overrides.

Fixed problem with map graphics not being restored when data is restored from a backup.

Made the transparent background feature of badging more tolerent of background colors that are not
true blue. The program will now process the images when they are saved and attempt to correct the
blue background.

Added the ability to embed hot links in an action message. This will allow the operator to click on a 
hot link in the action message window of the alarm ack form and start a seperate application. For 
example show a PDF or word file. Or start IE6 and display a web page.....
---------------------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.18

Added support for USB camera for photo badging image capture.
---------------------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.17

Fixed problem with WS printing the system exception report and the who is in report.

Fixed problem with Time and Attendance report grouping of names. 
---------------------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.15

Fixed a problem with UDFs that are marked as required and use a mask that contains a literal.
The literal would satisfy the required setting and you could save without filling in any data to the 
UDF. Now the system will ignore the literal characters in the mask.

Change the gaurd tour station definition so that it would accept zero as a valid MIN time on a station. 

New comm server that works in conjunction with V3136 firmware for better handleing of the Busy flag

Fixed Problem with Names reports grouping wrong when a seperate report is run for each company. 
If there were two people with the same name in the same company only one person was shown. 
-----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.12

Added a new command to the ASCII file import that allows the text file to delete all cards
that are assigned to the specified name. 

Example Text file:

I L1 U3 ^123456789^^^		(specify the name to work against)
T Names				(establish the name object)
DC				(command the deletion of all cards for this name)


All that is required is to specify the name and then issue the DC (Delete Codes) command. 
------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.11

Added Bosch Divar DVR
-----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.10

Added the i-Watch DVR to the camera type selection

Changed the history report so that the company name is added to the end of the persons
first name on card events. The amount of the company name shown will depend on the
length of the persons name. 

Fixed problem in WS where the scrolling alarm window could write new lines over old lines making the window 
unreadable. 

Also fixed problem in WS where it could display that it was talking to the backup comm server
when it was actually talking to the primary comm server. This would sometimes happen after
there was a comm loss with the primary comm server.
-----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.9

Changed emailed report attachments to be encased in a ZIP file so that Outlook would not automatically strip
them out of the email.
-----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.8

Fixed problem with company password profiles where "all companies" could be selected by hitting cancel
when printing a cardholder list even when the operator was restricted to certain companies.

Fixed Problem with system throwing an error when a card number was replaced and the stopdate was changed. 
-----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.7

Fixed problem with hidden UDF's complaining when the user tried to save a name.

Fixed problem with company password profiles where "all companies" was displayed in the company 
selection list when printing a cardholder list even when the operator was restricted to certain companies.
-----------------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.5

Added a new command to the ASCII import called ClearAcl. This command will clear
all current access levels from a card. With it you will be able to clear out existing 
access levels and then assign the new access levels that you want. 

I L1 U1 ^985405^^^
T Cards
F Code ^98540511^^^
F Loc ^2^^^
F ClearACL ^ ^^^        (this would get rid of all current acl assignments)
F AddAcl ^MyAcl^^^    (this would add a new acl to the card)
F AddAcl ^MyAcl2^^^    (this would add a 2nd new acl to the card)
U

------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.4

Added the ability to save a Holiday to all the locations in the same location group that the operator
has password priveledges for. There is a new check box that ask if you want to add the holiday to 
all the locations in the location group. 

Added the ability to Predefine selections for a UDF and allow the user to selection from a list or enter
data directly. Also modified the UDF data entry form so that you can move between cells by pressing 
the TAB key. 
------------------------------------------------------------------------------------------------------------------------
WinDSX 3.7.3

Now requires a Software Key for Image Capture and for DVR functions. Users no longer register the DVR to enable it.
They must have the software key with the proper options before they will work. Users must run KeyMon program to 
monitor the Software Key when using either of these functions. 

Changed the login so that if a user tries to login 5 times without the proper password then the system will erase that
password. The operator record will still be there but it will not work until a system administrator deletes the operator and
adds them back in. The current operator record cannot be re-activated, it must be deleted. 

Changed the login so that if a user tries to login 5 times without the proper password then the system will erase that
password. The operator record will still be there but it will not work until a system administrator deletes the operator and
adds them back in. The current operator record cannot be re-activated, it must be deleted. 

Added the ability to show the Government warning message each time the program is started. To have the system 
display this message just copy the Gov.exe program out of the utilities directory of the CD and place it in the shared 
WinDSX directory. 
--------------------------------------------------------------------------------------------------------------
WinDSX 3.7.2

Added IpCamera DVR driver.

Implemented changes that will allow for records to be replaced in the ACL downloads. Will solve problems in large 
systems where adding a door to an access level may cause very long downloads to occur. Requires new
firmware in all panels. 
--------------------------------------------------------------------------------------------------------------
WinDSX 3.7.0

Added Bosch DiBos, JDS Digital, I3DVR, and Pelco DVR drivers to the system. 

Changed Comm Server/WorkStation/Database so that operator comments could be associated with an individual 
input so that they can be retrieved in history when running a report for a single alarm point. 

Implemented Linking To Time Zones in output groups. Requires firmware version 3098 or higher. 

Changed the wording of the following items:
IO Linking is now Logic Linking
Output Group is not Linking Group
Output Linking Level is now Linking Level

Implemented the ability to hide specific UDF's from selected operators.

Fixed a problem with adding a new location to an existing location that would cause the number of 
keypad digits to reset to 4. 

Fixed a problem that would cause Database to sometimes lock up when it was creating new access
level combinations in response to an access level edit. Problem would only occur if comm server was 
running at the same time that database was trying to create the new access levels. Was an ADO 
database engine problem with interaction between the two programs. 

Fixed a problem with clicking next/previous in the gaurd tour station form when there were no other
gaurd tour stations defined. 

Fixed a problem with assigning and viewing Output Linking Levels when there were multiple
locations in the same location group that were not consecutively ordered. 
-------------------------------------------------------------------------------------------------------------------
WinDSX 3.6.11

Fixed a problem with the cards form that would cause an error to occur if the card had a stopdate with 
a time value of 11:59:00. Would only occur in systems where the card data is imported from other 
systems as the DSX software would not enter this value. 
-----------------------------------------------------------------------------------------------------------
WinDSX 3.6.10

Fixed a problem with the access level manager when the location had 74 devices it would create
duplicate door groups.
-----------------------------------------------------------------------------------------------------------
WinDSX 3.6.9

Fixed a problem with activate/de-activate buttons not working when names are listed by card.
------------------------------------------------------------------------------------------------------------
WinDSX 3.6.8

Fixed a problem with output linking levels not showing up on systems where there are
mulitple locs in the same group and the loc numbers are not consecutive. 
-------------------------------------------------------------------------------------------------------------
WinDSX 3.6.7

Made changes to CS and DB that will correct the problem of DB hanging up sometimes when the
user is editing access levels. The problem was caused by an interaction between database and 
comm server that would cause the database access methods to fail randomly. This would cause 
the database program to hang. 
----------------------------------------------------------------------------------------------------------
WinDSX 3.6.6

Modified the way the the Who Is In report works so that it will
ignore neutral reads when multiple locations are used. Previously
you would have to define readers as IN for Zone1 when there were 
locations located within a location. Now you can leave these type
of readers as neutral. 

Fixed a problem with Comm Server crashing when there was a long list of 
Device communications fail alarms that the user was acking from a work station.

Fixed a problem with displaying HEX codes in database. When a HEX code was entered 
it was not displayed in HEX in the listview of the Names form. 

Added the StartTime and StopTime parameters to the CardDflt.txt file. This will allow you
to set default values for the start and stop time fields on new cards. 

Added several new fields to the ASCII import function which will allow for better editing
of the card data. New fields include ReplaceCode, Copy2Code, AddAcl, AddTempAcl,
DelAcl, DelTempAcl, and an Udate command.

Added the ability to control which output linking levels an operator can assign to a card. 
An operator will only be allowed to save Output Linking Levels that contain IO points that his 
password profile has Grant Access priviledges in the IO override section the password profile.

Added the ability to restrict the Show UDF button in Workstation. This will prevent operators from 
seeing the UDF data if they do not have the proper password profile settings. 

Added the ability to restrict the Alarm Ack/Rseolve ability in Workstation. This will prevent operators from 
being able to handle alarms on sprecified locations if they do not have the proper password profile settings. 
There is a new entry under All Menus\Location\Workstation called Alarm Acknowledge. If the password 
profile does not have the All Menus selected then the operator will have to have the Edit check box selected
for the Alarm Acknowledge menu item in order handle alarms. 

Fix a problem with Access Denied Facility code events being linked to a card holders picture. 

Fixed problem with WS and CS sometimes crashing, this would only happen on systems where there was
a lot of IP traffic on a slow PC running CS.  
--------------------------------------------------------------
WinDSX 3.6.5

Fixed a problem with the automatic display of a camera on 
an alarm. 

Fixed a problem with the printing of an input or output
linking report when the printer stored as the default 
does not exist on the PC. 

Changed Database so that it will remember the column width
changes that the user makes in the main list window. 

Changed the history report so that it does not automatically
substitute the card number for the name on an access denied
code event. This will allow the persons name to appear if the
code was assigned to someone. On codes that are not assigned
the name field will be blank. 

Fixed a problem with Comm Server where it was not saving the
persons name ID to the log file on Access Granted Anti-Passback
Alarm events. This would prevent the events from being displayed
in history when a specific person or company was selected. 
-----------------------------------------------
WinDSX 3.6.4

Changed the image file import routine so that it will change 
the size of the image that is imported to match our standard
size. 

Prevented the user from being able to copy the Master Access
Level. 

Added the ability to specify which PC will run Daily Ops and
do the Ascii Import. This is for sites that want to send large
amounts of data through the ASCII import and want them to be 
processed ASAP. They can create a text file named DailyOps.txt 
that contains the workstation number that they want to run 
Daily Ops. This will cause that workstation to check for ASCII
import files constantly and will remove the delays that are 
normally built into the ASCII import routines. The PC that will
be performing this task should not be used for anything else. 
The ASCII import routines will completely consume the CPU.

Fixed a problem with the Names reports ignoring any other
selection parameters when the card status parameter was set
to active or inactive. When it was set to either it worked 
properly. 
-------------------------------------------------------------
WinDSX 3.6.3

Added the ability to set the temporary access level and temp 
acl start/stop dates to the ASCII import definition. 

Fixed a problem with printing all access levels for a location.
It would not always print every access level that existed. 

Added access level password profile validation when a card is
copied.
------------------------------------------------------------
WinDSX 3.6.2

Fixed a problem with saving multiple images to the same name
would return to the 2nd image instead of the primary image. 

Fixed a problem with trying to crop an image that had already
been saved would not save the cropped image. It would return
to the original image. 

Fixed problem with the Comm Server startup message that would
put a timestamp of 12/31/1899 on the event. 

Included the condensed versions of the Input and output reports.

Improved the AclUpGrade utility to include an access level
verification check at the end of the upgrade. This will make
sure that all the data was upgraded properly and will auto-
matically fix any discrepancies. 

Changed the condensed names reports so that the user can choose
to include all card data by clicking the Include Card Data checkbox.
Previously the card number was displayed if the checkbox was selected
or not. 

Added the ability to print a badge from the ASCII import file. 
The P command will cause the system to print a badge for the 
Cardholder that was last defined. The system will print the 
badge template that is assigned to the company the cardholder
is in. 

Turned off the popup menu in Crystal Reports preview

Turned off the Drill Down option in Crystal Reports perview

Fixed a problem with making a backup of a single location
that included images. The backup was made but it could not
restore the images table because it contained records that
pointed to names that were not included in the backup. 
-------------------------------------------------------------
WinDSX 3.6.1

Fixed a bug introduced in 3.5.38 that will prevent daily ops 
from making automatic backups. 

Enabled for new Hot Swap Comm Server feature. 

Changed the report engine to use the Crystal RDC instead of
the Crystal OCX. Had to do this as Crystal no longer supports
the OCX interface and we had to use the latest software to fix
some problems with exporting reports. 

Fixed problem with exporting a T&A report to a word formatt that
would cause the time totals to be doubled. 

Changed the History device selection tree so that a right double 
click on the device item will select/de-select all items below it.

Changed the Event Filter selection tree so that a right double 
click on the device item will select/de-select all items below it.

Changed the Password Profile IO Overrider selection tree so that 
a right double click on a title item will select/de-select 
all items below it.

Changed the default directory for the history file to use dialog 
to match the shared database directory.

Fixed a problem with list by card # when selected from the search 
window. The list would be produced but it would not allow you to 
edit a cardholder from the list. 

Changed the password profile restrictions on List By Card so that 
it keys off the Code.View check of the All Card Fields section.  

Implemented Comm Server Hot Swap capabilities. Will require the 
purchase of the Hot Swap Supervisor software and allow for a
backup comm server to be on standby at all times and to take 
over in the event of a failure on the primary comm server. 

Fixed a problem with PassWord Profile restrictions on access
levels by device. Under certain conditions the system would not
allow you add an access level to an existing card even though 
your profile had privledges for the devices.

Fixed a problem with selecting TWAIN driver when more than one
TWAIN source was available. 

Fixed a problem with TimeStamp on operator events that affect
locations in a different regional timezone. These events were
being stamped with the CommServers time and they should be stamped
with the time of the location that they affect. 
----------------------------------------------------------------
WinDSX 3.5.38

Made some changes to speed up the access level resolution
process so that cards are saved faster. This should make a big
improvment in the amount of time it takes to save an access
level when a location is added to or deleted from the access
level. 

Speed up the saving of cards when the user edits an access level
that adds or deletes a location to the composite access level. 

Changed the Names edit window in database and the name lookup 
window in workstation so that when you click on the picture that
is displayed with the name the system will rotate through the
available images so that the operator can view all saved images.
This will not display signature images!!!

Fixed a problem with the Access Levels that would cause trouble 
if more than one location was removed from an access level.

Fixed a problem with the previous and next buttons on the Name
form not working properly when the names where listed by card
number. 

Fixed a problem with the history event selection form. When the 
form was initialy displayed it appearred that the first item
was selected but if you tried to use the space bar to enable it
the last item in the list was enabled instead. Worked fine when 
the mouse was used to enable an item. 

Changed the Password Profile rules so that if you have view 
privledges you can now double click on an item as if you were 
going to edit it and the form will display all data. However 
you will not be able to save any data only view. 

Changed the Password Profile rules so that you can have seperate
control over activate and deactivate of cards. In password profiles
under Card Holder\Set Card Status you can now select add to allow
the operator to activate cards and delete to allow the operator
to deactivate cards. Previously they were both tied together. 
------------------------------------------------------------
WinDSX 3.5.37

Added the PSD format to the list of image types that can be imported. 

Changed the software so that it does not require an Image Key for 
TWAIN cameras. Now customers can use low cost USB cameras to take
low resolution pictures. 

Made a change to the Repair program so that when a database is 
restored from a backup it does not loose it's registered status.
---------------------------------------------------------------
WinDSX 3.5.36

Fixed a problem with password profiles that would not show an 
output linking level when the user had view but not edit settings

Fixed a problem with trying to capture an image when the card holders
were listed by card number. It would display an error and shut down.
Only appeared when card holders were listed by card number. 

Added dll's required to get the PNG and PSD image formats to work.

Fixed a problem with trying to change a card number when Card + PIN
was enabled. The system would complain that the PIN was being 
duplicated when the new card number was entered. 
-----------------------------------------------------------
WinDSX 3.5.35

Added the ability to define the IP port# that CS will use when 
talking to a master panel via IP. Previously this was a random
number. Now it can be defined so that customers do not have to 
open as many ports for security reasons. 

Added the start date field to the list by card display. 

Changed Comm Server to get his receive port# from the registry. 
Defaults to our standard port of 22223. 

Changed Work Station to get his recieve port# from the registry. 
Previously had been using a random port number. Now defaults to
22224.

Fixed a problem in history that would prevent it from doing a fast
search when only one event was specified. If more than one event
was selected the fast search was implemented but if only one event
was selected then the all event search was used which is much slower

Fixed a problem in history where it was not supplying the password
and user info to the DVR interface when the operator clicked the 
show video button. This would prevent some dvr types from working
if they required a user and password data.

Fixed a problem with Use It Or Loose It that would cause a card to
be de-activated if it was not used on the same day it was issued. 
Now system will wait for X number of days before the card is turned
off if it is not used. 

Changed the check for unused access levels and door groups routines
so that they do not use a big join statement to find the unused 
records. Large systems with a lot of records could consume all of 
the memory on the PC trying to run the query. 

Changed the Card form so that when a temporary access level is
active the access level Start Date and Stop Date text is highlighted
in RED.

Fixed some problems with the Override Group popup menus not
allowing set all to work properly. Also fixed problem with input 
commands being displayed for output override groups and vice versa.
---------------------------------------------------------------
WinDSX 3.5.34

Added a new event definition that will be logged to history when a 
card is de-activated due to the Use It Or Loose It feature. 

Added the ability for WorkStation to send an alarm to a DVR when it
recieves an alarm event from an input that has a camera associated 
with it. Not available on all DVR interfaces. 

Changed the emailing of automatic reports so that it sends a DOC file
instead of an RTF file. Crystal reports changed the rtf export so that
it ask for the number of pages which got in the way of an automatic
report export. 

Added some DLLs that Crystal Reports requires to export 
reports in the PDF or RTF formats. 

Changed Daily Ops so that it will record the Card Holder Name in
history when a card is de-activated or activated. Previously only
recorded the card number. This will apply to start/stop dates and 
to the Use It or Loose It feature. Users can run a history report 
to find out what happened when daily events was run.
-------------------------------------------------------------------
WinDSX 3.5.33

Fixed a problem in Workstation where it would enable the TZ icon in the
toolbar when the user was displaying device data. If the user selected a 
device and hit the TZ icon it would send a set all outputs to TZ command 
to the location.
---------------------------------------------------------------------
WinDSX 3.5.32

Fixed a problem with creating new access levels if there were old abandoned
access level names that did not have any devices assigned to them. Unlikely 
to be seen in the field. 

Also change the AclUpgrade program to check for Access Levels that had
a name but no devices assigned.
----------------------------------------------------------------------
WinDSX 3.5.31

Fixed problem with Comm Server crashing when a modem site called
in and the two modems linked but the master panel did not reply to the
version query message. 

Fixed a problem with deleting an access level not always being sent 
through to all of the card records. 

Fixed a problem with password profiles that are restricted to only being
able to assign access levels to certain doors. If you added a level to a door
and then attempted to save that level, recieved a message saying you were 
not allowed to assign that level, and then attempted to remove the original
level from the card you would recieve an error message. 

Fixed a problem in the Daily Activity report where it could show records
with no name when report is run for a specific company. 

Fixed problem with deleting a Time Zone that could cause other time
zones to be removed from inputs and outputs. 
--------------------------------------------------------------------
WinDSX 3.5.29

Fixed a problem with Comm Server that would cause it to crash if
you had a workstation in display slave download status and had two
slaves that were being downloaded out of sync with each other. 

Fixed a problem with the Time and Attendance report that would
cause it not to match the the IN/OUT reads properly on some cardholders.

Fixed a problem with TIF files not working in the badging. Had to 
add another dll for compatability. Will only work with TIF files
that are not compressed.
---------------------------------------------------------------------
WinDSX 3.5.28

*** This fix made it better but did not solve the problem completely****

Fixed a problem that would cause Comm Server to crash if you 
had a workstation in the display slave download status and you 
had two slave panels reset during the download.
-------------------------------------------------------------
WinDSX 3.5.27

Fixed a problem with the Who Is In Report not working properly
when triggered by an input alarm. 

Included a new utility that will make it a lot easier to upgrade software
that has been translated to a different language. The utility is called
Translate.exe and it will move translated data from an old version
of the software to the new version. The file can be found in the 
Utilities dir of the WinDSX CD.
--------------------------------------------------------------
WinDSX 3.5.26

Fixed a problem that would occur when a user removed an access level 
from a card and then replaced it with a different one. Occasionally the
system would not save the new access level assignment properly. 

Fixed a problem with deleting an access level or removing a location
from  an access level would leave that level assigned to the cards. 
The cards would stop working properly but may end up being 
improperly assigned to the next access level that was created as it 
would reuse the old access level number. Now the system will resave
the cards that use the effected access level and clear the link as well
as delete the old access level.
---------------------------------------------------------------
WinDSX 3.5.25

Changed the Who Is In report to work from APB zone 1 only and to base
a person's inclusion in the report off the last card read. This will not have
any effect on single locations systems. However it may effect how the 
system should be programmed on multiple location systems. 

Also changed Who Is In report to only display people who's last card read
was within 48 hours of when the report is run. This will exclude people who
never read out.

Fixed a problem with setting an access level in the card default text
file. 
--------------------------------------------------------------
WinDSX 3.5.24

Added the ability to control operator access to each camera through a 
password profile. 

Added temporary access levels to the names report. 

Fixed problem with sorting of events in an elevator report. 

Added new fields to the Card Field Password profile form. Now allows 
control over Start Time/Stop Time, and Temp access levels start/stop.

Includes new card holder reports that display temporary access levels.

Changed the Comm Server Delay to be a Comm Server Throttle. New 
default is 1000 instead of 3. This is the number of cycles that comm
server will run before it sleeps for 1 millisecond. The bigger the number
the more processor time the comm server will occupy. 

Sped up saving a card on new adds and changes to an access level.
Systems with a lot of access levels could be slow to save a card. 
---------------------------------------------------------------------------
WinDSX 3.5.23

Same as 3.5.21 but with new Comm Server that fixes intermitten comm
problem found on TCP/IP communications in 3.5.21.

Also has updated AclUpgrade.exe program which fixes some upgrade
problems with databases that date back to DOS.
---------------------------------------------------------------------------
WinDSX 3.5.22

Added a Start Time and Stop Time  to the card Start/Stop dates.  You
can now determine at what time on what date a card will be activated
or de-activated. 

Added Use It Or Lose it feature. You can now determine on a per company
basis how long a person can go without using thier card before it is 
automatically disabled. 

Added the ability to define a UDF as a Card Number field. This will cause
the system to assign a new number to this field for every person that is
added to the system. It will also allow the user to increment this field 
when printing a new badge for the person. Gives the user a way to keep
up with badges that are currently printed when they are not using cards
with a hot stamp. 

Added the ability to import Holidays through the ASCII import file. This 
will make the definition of holidays much quicker for multiple location
systems. Will also allow for a single file to be created for Holidays and
then applied to multiple seperate systems so that they all have the 
same holidays.

Added the ability to define hard stop/start dates in the card default 
text file.  Also added the ability to define offset or hard start/stop dates
for temporary access levels. 

Fixed a problem with time/date sorting on elevator reporst. 

Fixed a few problems with the Roster report. Title not always displaying
in the proper place, shapes on badge templates not printing properly, 
templates sometimes spilling over the bottom of the page, and not
sending the report to the Report printer when being printed from 
the same machine that prints badges. 

Changed Roster report so that it will send a NewPage command between 
pages instead of a EndDoc command and then start a new page. 

Fixed a problem with the Names report sorted by User Defined Fields.
It would not allow you to select specific groups to include in the report,
always listed everyone. Now you can select specific groups.

Changed the Badge Template window so that it will allow a badge that 
is up to 4 inches tall. Previous limit was 3.6 inches.
----------------------------------------------------------
WinDSX 3.5.21

Changed the history search object so that it will be faster when searching
for Card Holder events. In order to search faster the user must select
specific card holders and specific events. Leaving either all card holders
or all events checked will not use the fast search routines. 

DVR integration will now default to demo mode when not registered.
DVR software will pop up but will not connect to the server. 
--------------------------------------------------------------
WinDSX 3.5.20

Fixed a problem with ASCII imports when specifying an access level
for a card that already exist. 
--------------------------------------------------------
WinDSX 3.5.18

Changed the elevator report so that you can include other events and
changed the time allowed between a card read and the button press
to 5 seconds instead of 30 seconds. 
--------------------------------------------------------
WinDSX 3.5.17

Fixed problem of cards with a permanent access level set to master that 
are assigned to a temporary access level would not return to master
after the temporary access level expired.

Changed the system so that it will not allow you to set a temporary 
access level that does not have any levels selected. It will revert back
to the permanent access level and reset the temporary level start and
stop dates. 

Changed the Copy Permanent button on the Card Access Level tab so 
that it will add the permanent access level settings to the existing
temporary access levels instead of clearing the temporary access
levels and then adding the permanent access levels
----------------------------------------------------------
WinDSX 3.5.16

Added the ability to double click on the picture in the image recall of 
WorkStation and automatically pull up that person's data in the Search
window to provide additional information about this person. 

Added the ability to display an action message on Device Low AC and Low 
Battery events. Uses the same action message as the Device Comm Loss.

Added a report for Scheduled Overrides. This report is in Database under
Reports/Scheduled Overrides.

Added a Roster print report that will create a report that has multiple
cardholders data and pictures on a single page. The report will use a 
badge template named Roster and repeat it on a single page as many times
as possible. The size of the Roster badge template will determine how
many card holders are included on each page. This report is under 
Reports/Card Holders.

Fixed Auto-Poll and download flag.

Implemented regional Time Zone settings for Locations and Workstations
in order to solve daylight savings time offset problems. 

Implemented Digital Video Recorder integration. 

Added the ability to import AutoCad files for Maps.

Added the new access level scheme.

Added the ability to assign temporary access levels.

Added the ability to limit the number of access levels that can be 
assigned to a card. By creating a String key in registry called 
AclLimit you can restrict the number of access levels that can 
be assigned to a card at a particular workstation. There are some 
instances where they want to only assign one access level to the 
card. The system will not allow more access levels to be assigned 
to a card than the setting in the registry. Leave at zero for no
limit. 

Added new Elevator report capability that will provide a consice 
report for floor select elevator data. 

Added the ability to include Keys in a Card Holder report. 

Changed Time and Attendance report so that it will match the first
in with the first out and ignore any in reads that occur between the 
first in and the first out. 

Changed the Access Level report so that it is more compact.

Changed the Cardholder reports so that they are more compact.

Changed system so that when a visitor is added it will record the 
time/date, operator, and who they are visiting in the notes field
of the cardholder.

Added a new feature that will allow the system to print the Who Is In report
by LocGrp or by Loc. In the shared dir where the database is located create 
a text file named InRptByLoc.txt. Within the text file define each Location
that should be printed out by Location and not by Location Group. The system 
defaults to printing the Who Is In report for the entire Location Group. If 
you have some locations within the Location Group that desire to print data
that only pertains to thier location then enter that location number in the 
text file as follows:

1	(Location 1)
2	(Location 2)
6	(Location 6)

Each Location should be defined on a separate line. It is not neccessary to
put the (Location #), it is only shown above to as a definition of what the 
line means.
----------------------------------------------------------
WinDSX 3.1.25

Fixed a problem with installing 3.1.24 into XP or 2000 with SP3. 
--------------------------------------------------
WinDSX 3.1.24

Fixed a problem with Password Profiles that would cause it to not 
save some selections depending on how the tree view was expanded.

Fixed a problem with Password Profile restrictions for access levels
not allowing a valid combination to be saved under certain circumstances.

Fixed problem with Auto Email of a history report. All reports were being
emailed back to DSX. 
----------------------------------------------------
WinDSX 3.1.22

Changed the ASCII import so that it could set all 4 access levels.

Fixed a problem with autoreports that would not show the codes even 
if display codes was on in the saved report. 

Fixed problem that would cause combo box's to display wrong when 
related records were deleted from the database. Was a change in the
DSXRecLib dll on the matchID2List function.

Fixed a problem with password profiles on access levels when
multiple levels were assigned to a card.
-----------------------------------------------------
WinDSX 3.1.21

Fixed a problem with displaying text with the "&" character on a 
badge templete. The "&" character caused the control to display the
next character underlined. Had to insert "&&" anytime a string had 
a single "&" character in order for it to display properly. 
Was only a problem on print preview the badge would print properly.

------------------------------------------------------
WinDSX 3.1.20

Fixed a problem with rotated signatures not printing properly. 

Fixed a problem where a guard tour that was paused would still
report stations as being late.

Added the Shlwapi.dll file to the distribution files so that the
user does not have to install Internet Explorer. This fixes a 
problem with the installation of version 3.1.19 on PC's that did
not have IE installed. 
-------------------------------------------------------
WinDSX 3.1.19

Added the ability to Ghost an image or graphic on a badge.

Added a new event to record operator and time/date of Logins.

Changed the socket # used by Comm Server from 80 to 22223.

When the system updates the structure of the database files it will
now compact the resulting files after the structures are updated. 
This will result in a smaller more efficient file after the update. 

Added a new feature that will allow the system to automatically print
the Who Is In report when an alarm event is received. At each WorkStation
that should print the report create a text file named InRpt.txt. Within
the text file define each input that should trigger the report as follows:
Loc:Dev:Input
1:15:5		(Location 1, Device 15, Input 5)
2:10:2		(Location 2, Device 10, Input 2)

Each input should be defined on a separate line. When an alarm event
is received for inputs defined in the text file the system will print
the Who Is In report for the location that was the source of the alarm.
------------------------------------------------------------
WinDSX 3.1.18

Fixed a problem with importing Card data through the ASCII import
if a card was assigned an access level that did not exist when you 
looked at the card in DB it would show the Master Access Level. The 
card was not actually assigned to the Master ACL it just showed up 
that way.

Comm Server will now set the event queue size from registry 
(Event Queue Size, default=10). 

-----------------------------------------------------------------
WinDSX 3.1.17

Fixed problems with removing deleted LocCard records from the database
after they were downloaded. They were not being removed properly, they
were not causing any problem but there was no reason for them to still
be in the database. 

Fixed a problem in CS that would cause a fatal error if there were 
multiple errors in a row when writing to the event log. 

Fixed problem with having a comma embedded in the Cardholders first
name and last name. Would cause CS to concatenate the names incorrectly
when writing to the history log file. 

Added new fields in the Name Search form that will allow the user to 
search for StartDate between X and Y and for StopDate between X and Y.
This will provide a means for running reports on cards that are going 
change status between now and a specific date. As well as run a report
on cards that have changed status in the past. 

Added a new event message that will log and display the number of phone
calls that a remote location has made before it was able to connect to 
the WinDSX software. Should be very usefull in providing data for 
central stations on the number of phone lines required. You can control
how the system will log these events from the registry. The system 
defaults to only create an event when the number of attempts is 1 or
more. This can be chaged through the registry of the comm server PC.

HKEY_CURRENT_USER\Software\VB And VBA Program Settings\DSX_Access_Systems\WinDSX\CS\Settings\Phone Attempts To Log

--------------------------------------------------------------------

WinDSX 3.1.16

Implemented the ability to route auto reports to an email address through
Microsoft Outlook.

Fixed some problems with the ordering of the data during a download.
---------------------------------------------------------------

WinDSX 3.1.15

Fixed a problem with Time and attendance reports when a single cardholder
was selected nothing would show up. 

Fixed a problem with action messages that were assigned to a device could
sometimes cause an error to occur. 
---------------------------------------------------------------
WinDSX 3.1.14

Fixed a problem where the underline checkbox was not reflecting the true state
of the text on badge item properties screen. 

Fixed a problem where the badge print preview would default to the 2nd item
in the list when the company did not have a default badge defined.

Fixed a problem that would cause text that was centered on a badge to display
on the left edge when the badge size defaults were changed to certain values. 
Did not happen all the time, only with certain width values. 


--------------------------------------------------------------
WinDSX 3.1.13

Fixed problem with running an Access Level report two times in a row.This problem 
was introduced in 3.0.16 when we starting using the temp dir to hold the files for
temporary reports. 
---------------------------------------------------------

WinDSX 3.1.12

Fixed a problem that would allow the user to save a name by pressing the 
Add Card button even though the name did not have a required UDF filled in.

Fixed a problem in WorkStation that would display the override group status
of an input group as secure event though some of the inputs were auto bypassed.

Fixed a problem with the Who Is In report getting stuck if there were mis-matched
records. Would occur very rarely.

Added the ability to log data from selected individual ports in CS. 

Changed Daily Ops so that access level evaluation only occurs on Sundays.

Changed the print button on the Alarm Ack screen so that the data is printed
imediately. 
------------------------------------------------------

WinDSX 3.1.11

The View/Create button is now disabled when master access level is selected.

Fixed problem with the Who Is In report that would cause an error to occur if
the name field was over 30 characters long.

Fixed a problem with 8 digit Hex numbers not being converted properly. Only applied
when codes were in hex and the length of the code was 8 digits. 
--------------------------------------------------------

WinDSX 3.1.10

Added right alignment option to the badge layout for text and data fields. 

Fixed SQL problem with scheduled overrides of override groups. 
---------------------------------------------------------

WinDSX 3.1.9

Changed list in main window of DB so that it will beep and show a record count of 
"To Many Records" if there are more than 32,767 records to load into the list. This is the
upper limit that the list will handle. 

Changed the Badge Template size defaults to 2.0097 x 3.19

Changed the history routines to assemble temp history file one day at a time.  This will
help when the user wants to run a report across several days that all have a lot of events.
------------------------------------------------------------

WinDSX 3.1.8

Changed the default IP address of the comm server table to 127.0.0.1  This is an address that
always points to the local PC. This will simplify installs on single PC systems as they will
not be required to establish a static IP address and then enter that address into the WinDSX 
software.  The WinDSX software will automaitcally look for the comm server on the local PC.

Added the In/Out screen to the Work Station program.  This window will show a list of people
and display thier current in/Out status. It is updated once a minute or anytime the user clicks
on a person that persons data is updated.  The user can request the entire list be re-built by 
double clicking on any person. Right click on a person to see UDF data. 

Fixed problem of clicking on a different item in the database tree menu when the select search/add form
was displayed would cause whatever was selected in the search/add window to occur instead of the
item selected from the tree menu.

Fixed problem with changing an access level when the operator had restrictions on which devices they
could assign access levels to. Problem would occur if the operator tried to change an existing access
level to a different access level with the same devices but different time zones. 

Fixed a problem in Windows 2000 where using the up/down arrow keys to scroll through the UDF's on the
name window could cause the keyboard to lock up. 

Changed the allowable number of comm ports to 999 from 99.

Added the Company name to the end of the Card Holder name on History reports. 

Added a new option for hiding the characters in the PIN field like it was a password. 
Make a new field in the registry called HidePIN and set it's value to an asterik. 
The new field will be under Hkey_Current_User/Software/VB and VBA Program Settings/DSX_Access_Systems\WinDSX\DB
------------------------------------------------------------

WinDSX 3.1.7

Fixed a problem with using the European Date format that would cause the history events to be 
written with the wrong date when the PC was set to use the European date.

------------------------------------------------------------

WinDSX 3.1.6

Changed DB so that it could determine if there was a previous instance of DB already running that
was sitting at the login screen.  This is used when CS spawns an instance of DB to perform the 
daily operations. Previously if it found an instance of DB already running it would assume that 
the daily operations would be handled.  This was not true if the previous instance was sitting at 
the login screen. Now the instance spawned by CS can determine if the previous instance is at the 
login screen and if so it will perform the daily operations and then exit. 

Fixed problem with linking a camera to output. Previously the system would only display the outputs
from location 1 in the camera definition form.  System will now display the outputs from the proper
location.

Added a delay to the LogOff function that will allow ADO time to get all of the current logins to 
the database shut down before we log back into the database at the password screen. This will solve
the problem of DB sometimes putting up login errors when the user tries to logout of the program.

Changed DataBase so that when a list of CardHolders is displayed by card number the delete function 
is disabled. This was done because users would list by card number and hit the delete button thinking
that they were deleting a card when in fact they were deleting the Person. 

Fixed a problem with the ASCII import routine that would assign an access level to the wrong location
when they were defined in the file. If access level was defined for loc 1 it would be assigned to loc 2.
----------------------------------------------------------------

WinDSX 3.1.5

Had to go back to Mdac 2.5 in the install program as Mdac 2.6 does not send all of the dll's
required for reading Access MDB files.  

Change Print Card routine from printing a space character before any rotated text to printing
a white period in the top left corner.  Had to do this as some Fargo printers interpreted the 
space character as a form feed and would draw in another card before continueing the print job.

---------------------------------------------------------------------

WinDSX V3.1.4

If data logging is enabled system will now write to the datalog each time a badge is printed.
Will save Time/Date, Operator, Card Holder Name, and Badge Name that was printed. 

Added a 1/4 second delay between processing records when loading data from an ASCII import
text file. This will allow the system some time to catch up when processing a long list of
records on slower PC's.

Changed the Select Name routine so that when there are multiple locs in the same loc group
and the user runs a cards not used in X days type of list the system will only display cards
that have not been used in any of the locations in the group.  Previously it would display
a card if it had not been used in a single location within the group.

----------------------------------------------------------------------

WinDSX V3.1.3

Added fields for the DSX Flash Logon Parameters. These fields allow the opr to define a logon
name and password that must be used to enter the DSX Flash program. 

----------------------------------------------------------------------

WinDSX V3.1.2

Linked in new Mdac library V2.6

----------------------------------------------------------------------

WinDSX V3.1.1

Fixed a problem that would cause an error message to display if you were currently running
a report at the time that the system was set to automatically run a report. System will now 
just delay the auto report for 30 minutes and try again.

Fixed a problem with the Number of Uses report that would display a number where the company
name should be. 

Changed the Sounds Like fields under history name select so that data could be entered into 
either field.  Previously the user was required to enter data into both fields.

Fixed a problem with the Time and Attendance report that would cause it not to find data when 
the report was run for specific names.  The report would work fine when run for all names or a 
specific company but would not find any records when run for a specific name. 

----------------------------------------------------------------------

WinDSX V3.1.0

Fixed problem with auto scheduling reports.  If you setup a report to run
two times a day it would run every 30 minutes after the first scheduled time
had occured. 

Changed the way that the history reports select a card holder.  Previously the
system used the card number as the link between the event and the card holder. 
This proved to be a problem when a card was removed from the system but the user
still wanted to run a report on the card holder. We now record the permanent card
holder ID number with all card events and the system uses this as the link between
the history log and the card holders. 

This will allow the user to search for card holders even after all cards have been 
deleted from the card holder.  However when a card holder is deleted from the system
you will not be able to add them back in and perform a history search. 

In order to search for a person that has been deleted from the system you will use
two new fields in the history name select window.  These fields are First Name and
Last Name sound like. You enter as much data as possible into these fields and the 
system will find all card holders that meet criteria entered. 

This change to the history will mean that the system will not be able to run history
reports for specific card holders from event log data that exist prior to this version. 
The information is still available but you must use the sounds like fields to enter
the search criteria.

Made a small change to the Comm Server program that should impove the modem handling.

Changed the Access Level form so that the buttons are disabled while the form is 
loading data after a user has pressed the previous/next buttons. 

Added a new report to the Names Report screen that will allow the user to list 
cardholders by selecting an output linking level.  The system will print a list 
of names that are people who have cards that are assigned the selected output linking
level. There is a new button on the by access level form that will toggle that form
between reporting on a access level or reporting on an output linking level. 

Fixed problem in the by access level report that would prevent the report from working
on locations that were not in locgrp one.  If the report was run on any locgrp other than
one no names would be displayed. 

Implemented a time and attendance report that will provide seperate totals for each card
even if the cards are assigned to the same person.  The time and attendance totals are linked
by the card # instead of the persons name. Therefore a single person using multiple cards may 
have multiple totals in the report. 

---------------------------------------------------------------------

WinDSX V3.0.16

Added new field to the HistoryName table to save the Show Card Data flag.
This selection was previously not saved with a stored report. 

Changed Database so that it determines the directory specified by the TEMP 
environment variable and then creates a DsxTmp sub directory to store 
temporary files used in some reports.  This was done to solve a problem 
that was present when the system was run under CITRIX and multiple sessions
were attempting to run reports at the same time. Previously these temp files 
were stored in the current WinDSX directory.  This would result in multiple
sessions attempting to create the same file name in the same directory.  Now 
each session will create the files in it's own private temp directory and there
will not be any conflicts. 

Fixed problem that would cause an output to display funny in the database
list after it was edited or added. Did not cause any problems was just trying
to list more data than the list was setup for.

Fixed problem introduced in 3.0.15 that would cause the system to not
save the constants in a UDF mask.  That is if you had a mask of ##/##/###3 
the system would save only the numeric portion of the data.  This would
cause a problem if the UDF data was displayed on a badge as the slashes 
would not display. 
--------------------------------------------------------------------

WinDSX V3.0.15

Deletes Holidays the day after they occur. 

Fixed problem with UDF fields that use a mask where data was not saved
properly when name was edited. 

System now records the last time that an access level was assigned to
a card and will automatically delete any access levels that are not
currently assigned to a card and have not been assigned to a card in 
over 120 days. 

Comm Server will now record the Name.ID field into the OPR field in the 
history log for card events. This will be used for some of the management 
reports.

Fixed problem with history reports from a backup file.  If you selected 
a history backup as your source the system would run the report from the 
current log file and not find any of the data in the selected source file. 

Comm server will now display a name if one can be found for Access Denied 
code events.

Comm server will record the Name.ID field into the Log.OPR field for all
card events. 

----------------------------------------------------------------------

WinDSX V3.0.11

Implements new Thread priorities for Comm Server. Provides smoother 
multi-tasking for systems that use a lot of modem ports.

---------------------------------------------------------------------

WinDSX V3.0.7	

Implements new MCI commands for ID picture capture.  Allows the FlashBus
MV Pro capture card to capture better pictures. 

---------------------------------------------------------------------

WinDSX V3.0.6	

Implments the ADO database engine to work against the ACCESS 2000 database.

Fixed Problem where rotated text sometimes did not print on badges.

----------------------------------------------------------------

WinDSX	V2.1.13		

Fixed a problem with password profiles that would prevent a user from combining 
multiple access levels for a card if that users password profile did not allow 
them to add an access level. 

Added the ability to import graphics files as signatures without applying the
cropping to the file when it is displayed and printed. You must define the 
imagetype name as Signature.

Added a function to DailyOPs that will delete any scheduled overrides that
have a stop date that is less than today and a status of complete. 

Implemented Random ID number generation in the database structures.

---------------------------------------------------------------

WinDSX V2.1.12		

Fixed problem that would not allow you to add a new cardholder when the cardholders
were listed by card number.

Fixed problem with password profile restrictions not being enforced properly on
access level restrictions.  System would allow a restricted operator to assign access 
levels that contained doors that should be restricted. 

----------------------------------------------------------------

WinDSX V2.1.10		

Fixed problem with some check box's not being visible in the Names report window. 

Added more events to the Alarm echo function. 

Fixed problem with the status bar in WorkStation displaying it's default settings when ever
the user would re-position the workstation window. 

----------------------------------------------------------------

WinDSX V2.1.9		

Fixed problem with restore of a database not restoring images, barcgrounds and icons if the target directory was empty.

Fixed problem with icons not being installed on a new install.

----------------------------------------------------------------

WinDSX	V2.1.8		
Changed the Print Map function so that it always selects the report printer to send the print job to.  Previously it would send it to the last printer that was used. 

Changed the Holiday listing so that it only displays the Date instead of the date and time. 

Changed the Badge print function so that if the number of copies is set to zero there is no printing. 

Fixed problem that would leave the Allow Duplicate PIN check box enabled when it should be disabled. 

Fixed problem with the zooming and cropping of a image not functioning. 

Fixed prblem with Door Held Open Alarms not echoing to remote locations.

Fixed Problem with LogOff/LogOn in workstation not restoring device status.

----------------------------------------------------------------

DB	V2.1.7		
Fixed a problem with event filters that could cause an error to occur if there were a lot of additions and deletions from the filters table while there were also deletions from the location table.  The problem was the Sys.mdb was not performing the cascading deletes from the FilterName to the Filter table. 

---------------------------------------------------------------

DB	V2.1.6		
Fixed a problem with the IO override password profile that would cause it to not properly save the data that was entered in the form. 

Fixed a problem with the Fields password profile that would cause the system to not properly save the data that entered in the form on some multi-location applications. 

Changed the Names report by access level so that it only reports active cards that are in the selected access level.  Previously it would report both active and inactive cards.

Fixed problem in 2.1.5 that would cause the image recall images to display poorly. 

---------------------------------------------------------------

DB	V2.1.5		
Changed the Names by access level report so that it works against the 4 access levels that the user assigns to the card instead of the old way where it worked with the single access level that is sent to the control panels. 

---------------------------------------------------------------

DB	V2.1.4		
Added the ability to pass in an operator and password on the command line to DB so that it will auto login.  For example:
D:\Bart\DSXWIN\DB.exe -DsxOP Master -DsxPw Test
Is passing in an operator of Master and a password of Test.

---------------------------------------------------------------

DB	V2.0.13	
Corrected shrink to fit printing of text.  Text would display properly but would not shrink when it was sent to the printer.

---------------------------------------------------------------

CS	V2.0.2.26	
Fixed problem that would not play the WAV file on a door held open alarm.   
Implemented DataGrams instead of sessions for TCP/IP comm to master. 

---------------------------------------------------------------

DispMug   V2.3.3	
Implemented new feature on slider control that allows text to be displayed over the slider while it is moving. Use this to show current value of slider. 

-----------------------------------------------------------------

DB	V2.1.2		
Fixed problem with the Names report by access level that would cause an error if you printed the report without first selecting an access level. 

Fixed problem with deleting a location not removing records from the event filters.

---------------------------------------------------------------

DB	V2.0.12	
Corrected printing text in with in bold after any previous bold text was printed. 

---------------------------------------------------------------

DB	V2.0.11	
Corrected printing text in wrong position (too low) on badges.

----------------------------------------------------------------

DB	V2.0.10	
Corrected printing badge across 2 cards.

---------------------------------------------------------------

DB	V2.0.9		
Restoring Backup caused insert into errors
Corrected small font printing on badge but badge started printing across 2 cards

---------------------------------------------------------------

DB	V2.0.8		
Fixed problem with DB sometimes printing text very small on badges.
Corrected number of digits in PIN.

--------------------------------------------------------------- 

DB	V2.0.7		
Fixed problem with DB sometimes printing text very small on badges. 
Fixed problem with sig capture not working after a badge was printed. 

----------------------------------------------------------------

Firmware  V553	
     master sends CB command to slave after busy for 15 minutes
     slave requests parm req to CB
     master supports NU command (misc number) for setting misc parameters by host
     NU command supports changeing MAX_ALLOWED_BUSY_MINUTES (default is 15)
     master delays broadcast download until at least one slave talking (but not his)

----------------------------------------------------------------

WS.EXE	V2.0.1.5	
Now uses the time format that is defined in the regional settings to display time.  

Fixed problem of output icon not changing when prev/next was used in camera to scroll the camera selection. 

Fixed problem of automatic image recall not occurring on trace card events.  A trace event should cause the image to be displayed unless the image recall is disabled under options in ws.

---------------------------------------------------------------

CS.EXE	V2.0.1.5	
Now uses the time format that is defined in the regional settings to display any time messages.

---------------------------------------------------------------

DB	V2.1.0		
Fixed problem with batch printing of badges.  If the card holder list was displayed by name and you attempted batch printing DB would generate an error and exit. If the card holder list was displayed by card number then batch printing was ok.

Added the ability to define up to 4 access levels per card per location.  

--------------------------------------------------------------

DB	V2.0.5		
Fixed problem that prevented the system from utilizing the auto backup roll over setting in the registry to control the number of backups made. 

Added image file deletion when a name is removed from the system.

Fixed problem that caused an error message to display if an access level was edited to not have any devices selected and then saved.                                                        

--------------------------------------------------------------

CS.EXE   V2.0.1.4		
CS no longer sends an empty checksum message to the master when they connect.  This was causing severe problems with the tables loosing records after a certain sequence of events had taken place. 

Fixed problem of action messages being displayed on guard tour events that should not have displayed an action message.                                                       

-------------------------------------------------------------

DB.EXE  V2.0.4    	
Fixed problem with the Names form not always showing the picture on slow machines running across a network.

Fixed problem with backing up and restoring a single location.

Fixed problem of clicking on the print button while the badge is still being assembled in the badge print preview form.

Added recording of invalid login attempts to the history log.  

------------------------------------------------------------

Firmware V552 	 
Fixed problem that would cause recently added records to disappear from the tables.  The problem would occur after the master panel had done a full download, then incremental downloads had occurred, then a slave panel requested a full download, then the comm server lost communications with the Master.  When the comm server reconnected with the master the master panel would loose all of the additions that had occurred from the last full download.  This problem can also be fixed by upgrading the WinDSX software as we were also able to fix it by making a change to CS.  We basically fixed the problem in both the firmware and in the software. You can implement either one or both to correct the problem. 

------------------------------------------------------------

WS.EXE  V2.0.1	
Fixed problem with pop up menu on CCTV control window popping up in the wrong place if the window was moved from it’s original location.

Added Access Denied Antipassback, Access Denied Code Timer, Access Granted Passback Violation to the image recall event list.                 

-----------------------------------------------------------

CS.EXE V2.0.1	
Changed the sequence number limit on the IP messages to use full 32 bit value. 

----------------------------------------------------------

DB.EXE  V2.0.3	
Fixed problem with error appearing when the user would double click on DataBase or WorkStation in the Menu Password Profile form before the tree was expanded. 

Fixed problem where Who Is In button was still active when the Who Is In report was disabled for the password  profile.

Fixed problem with bar codes not auto aligning to .45” from edge of card.                                     

---------------------------------------------------------

Firmware 551		
Fixed problem where if the PC sent a checksum message to the master and the master was currently sending the checksum message to the slave panels it would cause the master to send wrong checksums to the slave panels. This would trigger a check sum error from the slaves.  Only required in the master panel to correct the problem. 
 
---------------------------------------------------------

Firmware 550		
Made changes in the clock chip register settings to accommodate the Dallas Simi clock chip. 

----------------------------------------------------------

Firmware 549		
Fixed problem with Y2K rollover in the firmware.  When the date rolls over to 1/1/2000 the panels would continue to function but would not send any event messages back until the Host PC sent the time message.  The PC time message is sent once a minute.  Most direct connect systems will not even notice the problem as it will be corrected in less than one minute and there is no outward display of the problem.  The problem will have more effect on modem connect sites as they will loose history events until the next time the PC is able to call that site.  We are changing the CS.EXE program in V2.0.0 so that it will detect the date rollover and automatically initiate phone calls to all modem locations to help alleviate the need to replace firmware at all modem locations.   

Fixed a problem with modem connect sites dropping communications.  The problem would display as a modem site that would connect and begin transmitting data and at some point would get 3 message retries and then hang up.  The cause was garbage (noise) being sent from the modem to the master panel.  If the master panel received a sync character and then a lot of garbage it could take it several seconds before it would be able to resume communications.  During the time it took for the panel to get ready to resume communications the PC would give up and disconnect.  The firmware is now able to re-sync communications immediately, which will allow for much better recovery from noise over the modems. 

--------------------------------------------------------

Firmware V548	
Fixed problem where master could stop polling the slave panels.  To cause the problem a slave panel that was not communicating would have to answer a single poll from the master and then not answer the next poll that was sent.  This would cause the masters next poll routine to get stuck in a loop.  This problem was introduced in version 546 when we implemented the broadcast download feature. Problem will exist in 546 and 547 firmware. 

--------------------------------------------------------

Firmware V547	
Fixed problem with timed anti-passback resetting when the next card was read.

---------------------------------------------------------

WS.exe 	Ver 2.00	
When the opr clicks on a line in the alarm or the event window that line is highlighted to indicate which line was selected. 

Added Camera control features that allow an operator to view and control pan/tilt zoom cameras from the screen. 

Added a feature to the name search utility that will provide the ability to perform advanced search’s when looking up a card holder.  To do an advanced search the user will simply click on the First or Last Name label and the standard search engine used in DB will appear.  

Added a feature to the name search utility that will display a card holder’s anti-passback status next to the Active/InActive label.  If a persons anti-passback status is not all neutral the system will show all four zones on the screen.  This will allow an operator to easily determine the IN/OUT status of a card holder.  

Added camera menu item to the pop up menu that appears when the user right clicks an input or output. This will allow the user to display the camera that is associated with the selected IO. 

Added the camera button to the alarm acknowledgement screen so that the user can click the button to display the real time video from the camera associated with this input. 
--------------------------------------------------------------------

DB.exe    V2.0.0		
Implemented new fields required for Smart ASCII port, alarm echo, and remote location type features. 

Added Work Station event filtering fields and forms. 

Modified database restore program to restore FilterName and Filter tables.

Automatically define output 1 and input 7 when a new device is added. 

Fixed problem with backing up and restoring the database when the program directory name had a space in it. 

Fixed problem with ODBC connection dialog appearing if user selected cancel when choosing the file to run a history report from. 

Implemented recording of changes made to the database.

Added the ability to import images through the ASCII import file. Image file being imported must match the file type the systems is using for the image type assigned to the file being imported. In other words, if the system is saving Front View images in JPG then the image being imported must be a JPG file.  There is no file type conversion when using the ASCII import. 

If the user creates a file called LogIn.txt in the shared database directory then the name of the last user will not be shown in the WinDSX login screen. There does not have to be anything in the file. 

Added activate / de-activate icons to allow the user to quickly control the status of a CardHolder or group of CardHolders.

Change the Enable Batch Printing menu item to Enable Multiple Selections so that it could be used for both batch printing and batch Activate/De-activate commands.

Added the ability to define a UDF field as a stopdate for all cards assigned to a cardholder.  This will allow the users to define as many stopdates as are required for their site. 

Added the ability to list card holder data by code. 

Changed the Card list view under names so that it displays information about each location in the loc group.

Added the ability to copy the TZ data when defining a new access level and paste that data to other devices. 

Added the ability to define a holiday as a re-occurring holiday that is automatically carried over to the next year. 

Added PollFrequency and Message TimeOut fields to the comm port definition so that the user can control the amount of traffic generated when the comm port is re-directed across a LAN. 

Fixed a problem with a password profile that could not add an access level was able to add a new access level through the access level manager from the card form. 

Added the ability to set the background color of the alarm window and event window in workstation.  Color is determined at each workstation and is set in the system parameters section of database. 

Added the ability to set an activity printer to print all events or alarm events for each workstation.  Activity printer is always the default printer. 

Added the ability to determine the order that I/O are displayed in the workstation status / override screens. 

Added Operator comment required option for each input.  If true then the operator must enter a comment prior to resolving an alarm. 

Added automatic history report generation feature.

Added IO Linking report that show details of all links that can effect the selected IO point. 

Added option for cards to automatically expire when used a selected device.  This is a function of the PC and will not operate properly on dial up sites.  The comm server will set the # of uses to 0 when the cards is used at a device with this option enabled. 

Added Visitor management system that allows you restrict an operator to only working with visitors.  It also restricts the access levels that can be assigned to a visitor and allows the opr to enter the name of the person that the visitor is here to see. The name of the person that the visitor is here to see can be typed in or selected from the list of names for the loc group.  System also adds an event to the history log that records a visitor was added to the system and who the visitor came to see and what card was assigned to the visitor and the opr who entered the data. 

Added Management reports selection to card holder report form

Added print cardholders sorted by UDF selection to the card holder report form. 

Added the ability to establish default settings for cards by creating a text file (CardDflt.txt) at each workstation. This is very useful in assigning visitor cards where 95% of the cards are the same. 

Added the ability to encrypt backups so that a password is required in order to restore them or read the data contained within them.

Added the ability to control the number of automatic backups that will occur before the first backup is written over. This number is stored in the registry on the comm server machine and is called “BackupRollOver”.  Defualt setting is 9 which will provide 10 backups before writing over the first backup. 

Previously when an operator was restricted as to which devices he can assign access levels to he was forced to use the access level manager to create an access level.  Now these operators can select an access level from the list box and the system will validate the selection when the record is saved.  If they have selected an access level that contains devices there password does not allow the system will generate and error message and refuse to save the data. 

Added the ability to define cameras in the database.  These cameras can also be added to maps. Cameras are controlled from the WS program in much the same way as inputs and outputs. 

Added a new field to comm port that will define whether a port is defined for use by comm server or by work station. This was required due to the camera control feature being added to workstation. 

Added a new report type under history called Number of Uses.  This report will typically be used in sites that want to generate billing based on the number of times a company has used a particular ready.  The report will display access granted events from the readers selected and will group the events per company and show a total number of uses per company.  You can option to display a summary per company total, or to show all events grouped by company and sorted by Card Holder name. 

Added a new field under location that will allow a central station to set a time limit that a location can stay online before the system generates a “On Line To Long” alarm event.  This should help prevent a central station from connecting to a site and forgetting to disconnect and running up a huge long distance bill. 

Added the ability to associate a camera with inputs and outputs so that an operator can simply click the camera command from WS and display the camera that is associated with that IO.  









